package Game.Items 
{
	import Game.GameObject;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Heart extends GameObject 
	{
		
		public function Heart() 
		{
			graphic = new Image(Assets.Heart);
			setHitbox(16, 16);
		}
		
		override public function added():void
		{
			super.added();
			if (collide("solid", x, y)) FP.world.remove(this);
		}
		
		override public function update():void
		{
			if (collideWith(GV.hero, x, y)) {
				GV.hero.health += 1;
				powerupSfx.play();
				if (GV.hero.health > GV.hero.maxhealth) GV.hero.health = GV.hero.maxhealth;
				GV.gui.updateHealth();
				FP.world.remove(this);
			}
		}
		
		
	}

}