package Game.Items 
{
	import Game.GameObject;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class HeartContainer extends GameObject 
	{
		
		
		private var id:String;
		
		public function HeartContainer(_x:Number = 0, _y:Number = 0, ID:String = "heartContainer") 
		{
			
			
			id = ID;
			
			x = _x;
			y = _y;
			
			graphic = new Image(Assets.HeartContainer);
			setHitbox(16, 16);
			
			
			
		}
		
		override public function added():void
		{
			super.added();
			
			if (GV.keyIDs[id + "a"] == 1 && id != "heartContainer") {
				FP.world.remove(this);
			}
		}
		
		override public function update():void
		{
			
			
			if (collideWith(GV.hero, x, y)) {
				Kong.kongregate.stats.submit("HeartsCollected",1);
				GV.maxhealth++;
				powerupSfx.play();
				GV.gui.updateHealth();
				FP.world.remove(this);
				GV.keyIDs[id + "a"] = 1;
			}
		}
		
	}

}