package Game.Items 
{
	import Game.GameObject;
	import Game.TextWindow;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Necklace extends GameObject 
	{
		
		
		public function Necklace(_x:Number = 0, _y:Number = 0) 
		{
			
			
			
			x = _x;
			y = _y;
			
			graphic = new Image(Assets.Necklace);
			setHitbox(32, 32);
			
			
			
		}
		
		override public function added():void
		{
			super.added();
			
			if (GV.gottenNecklace) {
				FP.world.remove(this);
			}
		}
		
		override public function update():void
		{
			
			
			if (collideWith(GV.hero, x, y)) {
				GV.gottenNecklace = true;
				powerupSfx.play();
				FP.world.remove(this);
				var m:TextWindow = new TextWindow('You picked up the enchanted necklace!');
				FP.world.add(m);
			}
		}
		
		
	}

}