package Game.Items 
{
	import Game.GameObject;
	import net.flashpunk.graphics.Spritemap;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Spikes extends GameObject 
	{
		
		private var sprites:Spritemap;
		
		public function Spikes(_x:Number = 0, _y:Number = 0) 
		{
			
			x = _x + 16;
			y = _y + 16;
			
			sprites = new Spritemap(Assets.Spikes, 32, 32);
			sprites.add("idle", [0, 1], 1, true);
			sprites.play("idle");
			sprites.centerOO();
			graphic = sprites;
			setHitbox(16, 16, 8, 8);
			
			
		}
		
		
		
		override public function update():void
		{
			
			
			layer = GC.LAYER_FLOORS;
			
			if (collideWith(GV.hero, x, y)) {
				if (sprites.frame == 1) {
					GV.hero.hit(this, 1, 1);
				}
			}
		}
		
	}

}