package Game 
{
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class TeleporterTrigger extends GameObject 
	{
		
		private var teleportX:Number;
		private var teleportY:Number;
		private var teleportID:int;
		
		public function TeleporterTrigger(_x:Number, _y:Number, _width:Number, _height:Number, ID:int, tpx:Number, tpy:Number) 
		{
			x = _x;
			y = _y;
			
			teleportX = tpx;
			teleportY = tpy;
			teleportID = ID;
			
			
			setHitbox(_width, _height);
		}
		
		override public function update():void
		{
			
			
			if (collideWith(GV.hero, x, y)) {
				
				LevelList.loadLevel(teleportID);
				GV.spawnX = teleportX;
				GV.spawnY = teleportY;
				FP.world = new GameWorld();
			}
		}
		
	}

}