package Game 
{
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class TextTrigger extends GameObject 
	{
		
		public var _text:String;
		
		private var id:String;
		
		
		public function TextTrigger(_x:Number, _y:Number, _width:Number, _height:Number, t:String, ID:String) 
		{
			x = _x;
			y = _y;
			
			id = ID;
			
			_text = t;
			
			setHitbox(_width, _height);
			
			
			if (GV.textIDs[id + "a"] == 1) {
				_text = null;
			}
			
		}
		
		override public function added():void
		{
			super.added();
			
			
			if (GV.textIDs[id + "a"] == 1) {
				FP.world.remove(this);
			}
		}
		
		override public function update():void
		{
			
			if (_text == null) return;
				
			if (collideWith(GV.hero, x, y)) {
				var t:TextWindow = new TextWindow(_text);
				FP.world.add(t);
				FP.world.remove(this);
				GV.textIDs[id + "a"] = 1;
			}
		}
		
		
		
		
	}

}