package Game 
{
	import flash.display.BitmapData;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Input;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class TextWindow extends Entity 
	{
		private var _txt:Text;
		
		private var _continue:Text;
		protected const WIDTH:Number = 400;
		protected const HEIGHT:Number = 150;
		
		private var background:Image = new Image(new BitmapData(WIDTH, HEIGHT, true, 0xBB000000));
		
		public function TextWindow(message:String) 
		{
			
			
			x = 140;
			y = 440 - HEIGHT;
			
			setHitbox(WIDTH, HEIGHT);
			
			background.scrollX = 0;
			background.scrollY = 0;
			
			_continue = new Text("click to continue");
			_continue.x = 10;
			_continue.y = HEIGHT - 20;
			_continue.scrollX = 0;
			_continue.scrollY = 0;
			_continue.color = 0xFFFFFF;
			
			layer = GC.LAYER_GUI;
			
			_txt = new Text(message);
			_txt.scrollX = 0;
			_txt.scrollY = 0;
			_txt.x = 10;
			_txt.y = 5;
			_txt.width = WIDTH;
			_txt.height = HEIGHT;
			_txt.wordWrap = true;
			_txt.resizable = false;
			_txt.align = "left";
			_txt.color = 0xFFFFFF;
			graphic = new Graphiclist(background, _txt, _continue);
		}
		
		override public function added():void
		{
			super.added();
			GV.gamePaused = true;
			FP.rate = 0;
		}
		
		override public function update():void
		{
			super.update();
			
				if (Input.mousePressed) {
					FP.world.remove(this);
					GV.gamePaused = false;
					FP.rate = 1;
				}	
			
			
			
		}
		
		
		
	}

}