package Menus 
{
	import Game.GameWorld;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Input;
	import net.flashpunk.World;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class MainMenu extends World 
	{
		
		public function MainMenu() 
		{
			var e:Entity = new Entity;
			var t:Text = new Text("Ludum Dare 24 Game\n\nEvolution\n\nClick to continue");
			t.x = 100;
			t.y = 100;
			
			e.graphic  = new Image(Assets.TitleScreen);
			add(e);
			
			var sgb:StartGameButton = new StartGameButton();
			sgb.x = 170;
			sgb.y = -500;
			add(sgb);
	
			
			
		}
		
		override public function begin():void
		{
			super.begin();
			camera.y = 640 - 480;
			GV.mainLoop.loop();
		}
		
		override public function update():void
		{
			super.update();
			
			
			if (camera.y > 0) {
				camera.y -= 100 * FP.elapsed;
				
			} else {
				camera.y = 0;
			}
			
			
			
		}
		
	}

}