package  
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.DisplayObject;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.text.TextField;
	import flash.utils.getDefinitionByName;
	
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Preloader extends Sprite 
	{
		private var text: TextField;
		
		
		public function Preloader() 
		{
			
			
			
			var clip:Bitmap = new Bitmap(new BitmapData(640, 480, false, 0xFF222222));
			addChild(clip);
			
			clip = new Bitmap(new BitmapData(640, 100, false, 0xFF333333));
			addChild(clip);
			
			clip = new Bitmap(new BitmapData(640, 100, false, 0xFF333333));
			clip.y = 380;
			addChild(clip);
			
			var t:TextField = new TextField();
			t.textColor = 0xFFFFFF;
			t.selectable = false;
			t.mouseEnabled = false;
			t.autoSize = "left";
			t.text = "Loading Ludum Dare Entry!";
			t.x = 200;
			t.y = 170;
			
			addChild(t);
			
			text = new TextField();
			
			text.textColor = 0xFFFFFF;
			text.selectable = false;
			text.mouseEnabled = false;
			text.autoSize = "left";
			text.text = "0%";
			text.x = 200;
			text.y = 200;
			
			addChild(text);
			
			stage.addEventListener(Event.ENTER_FRAME, onEnterFrame);
			
			
			Kong.start(root);
			
			
		}
		
		
		
		private function onEnterFrame(e:Event):void 
		{
			var p:Number = (loaderInfo.bytesLoaded / loaderInfo.bytesTotal);
			text.text = int(p * 100) + "%";
			
			
			if (loaderInfo.bytesLoaded == loaderInfo.bytesTotal) {
				text.text = "Loaded";
			
				
				stage.removeEventListener(Event.ENTER_FRAME, onEnterFrame);
				
				var mainClass:Class = getDefinitionByName("Main") as Class;
				parent.addChild(new mainClass as DisplayObject);
				
				parent.removeChild(this); 
			}
			
		}
		
	}

}