package Game.Items 
{
	import Game.GameObject;
	import Game.TextWindow;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Boy extends GameObject 
	{
		
		private var id:int;
		
		
		public function Boy(_x:Number = 0, _y:Number = 0, _id:int = 1) 
		{
			
			id = _id;
			
			x = _x;
			y = _y;
			
			var img:Image = new Image(Assets.Boy);
			img.centerOO();
			graphic = img;
			img.y = -32;
			setHitbox(32, 20, 16, 20);
			
			type = "solid";
			
			
		}
		
		override public function added():void
		{
			super.added();
			
		}
		
		override public function update():void
		{
			
			var heroDist:Number = FP.distance(x, y, GV.hero.x, GV.hero.y);
			
			
			if (heroDist < 150 && GV.gottenReward && !GV.secondQuest) {
				
					var m:TextWindow = new TextWindow('Hello hero!\n\nI heard that there is a magical necklace \n\nIn the dungeon north west of here!\n\nPerhaps the princess would like it?');
					FP.world.add(m);
					GV.secondQuest = true;
				
			}
		}
			
		
	}

}