package Game.Items 
{
	import Game.GameObject;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Key extends GameObject 
	{
		
		private var id:String;
		
		public function Key(_x:Number = 0, _y:Number = 0, ID:String = "key") 
		{
			
			
			id = ID;
			
			x = _x;
			y = _y;
			
			graphic = new Image(Assets.Key);
			setHitbox(32, 32);
			
			
			
		}
		
		override public function added():void
		{
			super.added();
			
			if (GV.keyIDs[id + "a"] == 1) {
				FP.world.remove(this);
			}
		}
		
		override public function update():void
		{
			
			
			if (collideWith(GV.hero, x, y)) {
				GV.keys++;
				powerupSfx.play();
				GV.gui.updateKeys();
				FP.world.remove(this);
				GV.keyIDs[id + "a"] = 1;
			}
		}
		
	}

}