package  
{
	
	
	// kong API
	import flash.display.LoaderInfo;
	import flash.display.Loader;
	import flash.display.Stage;
	import flash.net.URLRequest;
	import flash.events.Event;
	import flash.system.Security;
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class Kong 
	{
		
		public static  var kongregate:*;
		private static var stage:*;
		
		public static function start(root:*):void
		{
			stage = root.stage;
			
			// Pull the API path from the FlashVars
			var paramObj:Object = LoaderInfo(root.loaderInfo).parameters;

			// The API path. The "shadow" API will load if testing locally. 
			var apiPath:String = paramObj.kongregate_api_path || 
			  "http://www.kongregate.com/flash/API_AS3_Local.swf";

			// Allow the API access to this SWF
			Security.allowDomain(apiPath);

			// Load the API
			var request:URLRequest = new URLRequest(apiPath);
			var loader:Loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, loadComplete);
			loader.load(request);
			root.addChild(loader);

			// Kongregate API reference
		}
		
		
		// This function is called when loading is complete
		private static function loadComplete(event:Event):void
		{
			// Save Kongregate API reference
			kongregate = event.target.content;
			stage.addChild(kongregate);
			// Connect to the back-end
			kongregate.services.connect();
		}
		
	}

}