package  
{
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class LevelList 
	{
		
		private static const levels:Vector.<XML> = new Vector.<XML>;
		
		[Embed(source = "../Ogmo/room0.oel", mimeType = "application/octet-stream")]
		private static const level0:Class;
		
		[Embed(source = "../Ogmo/room1.oel", mimeType = "application/octet-stream")]
		private static const level1:Class;
		
		[Embed(source = "../Ogmo/room2.oel", mimeType = "application/octet-stream")]
		private static const level2:Class;
		
		[Embed(source = "../Ogmo/room3.oel", mimeType = "application/octet-stream")]
		private static const level3:Class;
		
		[Embed(source = "../Ogmo/rewardEvent.oel", mimeType = "application/octet-stream")]
		private static const level4:Class;
		
		[Embed(source = "../Ogmo/afterReward.oel", mimeType = "application/octet-stream")]
		private static const level5:Class;
		
		[Embed(source = "../Ogmo/dungeon2.oel", mimeType = "application/octet-stream")]
		private static const level6:Class;
		
		[Embed(source = "../Ogmo/necklaceEvent.oel", mimeType = "application/octet-stream")]
		private static const level7:Class;
		
		[Embed(source = "../Ogmo/afterNecklace.oel", mimeType = "application/octet-stream")]
		private static const level8:Class;
		
		[Embed(source = "../Ogmo/Castle.oel", mimeType = "application/octet-stream")]
		private static const level9:Class;
		
		[Embed(source = "../Ogmo/throneRoom.oel", mimeType = "application/octet-stream")]
		private static const level10:Class;
		
		private static function buildLevels():void 
		{
			levels.push(FP.getXML(level0));
			levels.push(FP.getXML(level1));
			levels.push(FP.getXML(level2));
			levels.push(FP.getXML(level3));
			levels.push(FP.getXML(level4));
			levels.push(FP.getXML(level5));
			levels.push(FP.getXML(level6));
			levels.push(FP.getXML(level7));
			levels.push(FP.getXML(level8));
			levels.push(FP.getXML(level9));
			levels.push(FP.getXML(level10));
		}
		
		public static function loadLevel(id:int):void
		{
			if (levels.length < 1) buildLevels();
			
			if (isNaN(id)) id = 0;
			if (id > levels.length - 1) id = levels.length -1;
			if (id < 0) id = 0;
			GV.levelXML = levels[id];
			
		}
		
		
	}

}