package Menus 
{
	import flash.display.BitmapData;
	import Game.GameWorld;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Input;
	
	/**
	 * ...
	 * @author Andy Brown
	 */
	public class StartGameButton extends Entity 
	{
		
		
		
		private var _continue:Text;
		protected const WIDTH:Number = 300;
		protected const HEIGHT:Number = 50;
		
		private var background:Image = new Image(new BitmapData(WIDTH, HEIGHT, true, 0xBB000000));
		
		public function StartGameButton() 
		{
			
			
			x = 140;
			y = 440 - HEIGHT;
			
			setHitbox(WIDTH, HEIGHT);
			
			background.scrollX = 0;
			background.scrollY = 0;
			
			_continue = new Text("Play Game");
			_continue.x = 10;
			_continue.y = HEIGHT - 30;
			_continue.scrollX = 0;
			_continue.scrollY = 0;
			_continue.color = 0xFFFFFF;
			
			layer = GC.LAYER_GUI;
			
			graphic = new Graphiclist(background,  _continue);
		}
		
		
		override public function update():void
		{
			super.update();
			
			if (y < 300) {
				y += 300 * FP.elapsed;
			} else {
				y = 300;
			}
			
			if (Input.mousePressed && collidePoint(x, y, world.mouseX, world.mouseY)) {
				FP.world = new GameWorld();
			}	
			
			
			
		}
		
		
		
	}

}